[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Clipbrd' (#lcl)

# TClipboard.Formats

Contains the clipboard formats currently in use for the class instance.

## Declaration

Source position: clipbrd.pp line 229

`public property TClipboard.Formats[Index: Integer] : TClipboardFormat read GetFormats;`

## Description

Formats is an indexed read-only TClipBoardFormat property which returns the formats being used in the current clipboard.

You can read the formats with this property one by one. But this will result in many requests, which can be very slow (especially on terminals).

Better to use the SupportedFormats method.